org.keycloak.storage.ldap.mappers

## Class LDAPTransaction

- java.lang.Object
- - org.keycloak.models.AbstractKeycloakTransaction
  - - org.keycloak.storage.ldap.mappers.LDAPTransaction

- All Implemented Interfaces:
    KeycloakTransaction

      public class LDAPTransaction
      extends AbstractKeycloakTransaction

  Author:
    Marek Posolda

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.models.AbstractKeycloakTransaction

      `AbstractKeycloakTransaction.TransactionState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.jboss.logging.Logger` | `logger`

    - ### Fields inherited from class org.keycloak.models.AbstractKeycloakTransaction

      `state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPTransaction(LDAPStorageProvider ldapProvider, LDAPObject ldapUser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUpdatedAttribute(String attributeName)` Add attribute, which will be updated in LDAP in this transaction
    `void` | `addUpdatedRequiredAction(String requiredActionName)` Add required action, which will be updated in LDAP in this transaction
    `protected void` | `commitImpl()`
    `boolean` | `isAttributeUpdated(String attributeName)`
    `boolean` | `isRequiredActionUpdated(String requiredActionName)`
    `protected void` | `rollbackImpl()`

    - ### Methods inherited from class org.keycloak.models.AbstractKeycloakTransaction

      `begin, commit, getRollbackOnly, getState, isActive, rollback, setRollbackOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### LDAPTransaction

          public LDAPTransaction(LDAPStorageProvider ldapProvider,
                                 LDAPObject ldapUser)

  - ### Method Detail

    - #### commitImpl

          protected void commitImpl()

      Specified by:
        `commitImpl` in class `AbstractKeycloakTransaction`

    - #### rollbackImpl

          protected void rollbackImpl()

      Specified by:
        `rollbackImpl` in class `AbstractKeycloakTransaction`

    - #### addUpdatedAttribute

          public void addUpdatedAttribute(String attributeName)

      Add attribute, which will be updated in LDAP in this transaction
      Parameters:
        `attributeName` - model attribute name (For example "firstName", "lastName", "street")

    - #### isAttributeUpdated

          public boolean isAttributeUpdated(String attributeName)

      Parameters:
        `attributeName` - model attribute name (For example "firstName", "lastName", "street")
      Returns:
        true if attribute was updated in this transaction

    - #### addUpdatedRequiredAction

          public void addUpdatedRequiredAction(String requiredActionName)

      Add required action, which will be updated in LDAP in this transaction
      Parameters:
        `requiredActionName` -

    - #### isRequiredActionUpdated

          public boolean isRequiredActionUpdated(String requiredActionName)

      Parameters:
        `requiredActionName` -
      Returns:
        true if requiredAction was updated in this transaction

Copyright © 2020 JBoss by Red Hat. All rights reserved.